summaryrefslogtreecommitdiffstats
path: root/support/schema/reloadtestdb.sh
diff options
context:
space:
mode:
Diffstat (limited to 'support/schema/reloadtestdb.sh')
-rwxr-xr-xsupport/schema/reloadtestdb.sh28
1 files changed, 20 insertions, 8 deletions
diff --git a/support/schema/reloadtestdb.sh b/support/schema/reloadtestdb.sh
index 1cf392a2..5f26023c 100755
--- a/support/schema/reloadtestdb.sh
+++ b/support/schema/reloadtestdb.sh
@@ -1,17 +1,29 @@
-#!/bin/sh
+#!/bin/bash -e
-mydir=`pwd`
-if [ `basename $mydir` != "schema" ]; then
+DB_NAME=${DB_NAME:-AUR}
+DB_USER=${DB_USER:-aur}
+# Password should allow empty definition
+DB_PASS=${DB_PASS-aur}
+DB_HOST=${DB_HOST:-localhost}
+DATA_FILE=${DATA_FILE:-dummy-data.sql}
+
+echo "Using database $DB_NAME, user $DB_USER, host $DB_HOST"
+
+mydir=$(pwd)
+if [ $(basename $mydir) != "schema" ]; then
echo "you must be in the aur/support/schema directory to run this script"
- exit
+ exit 1
fi
echo "recreating database..."
-mysql -uaur -paur AUR < ./aur-schema.sql
+mysql -h $DB_HOST -u $DB_USER -p$DB_PASS < aur-schema.sql
+
+if [ ! -f $DATA_FILE ]; then
+ echo "creating dumy-data..."
+ python2 gendummydata.py $DATA_FILE
+fi
echo "loading dummy-data..."
-bzcat ./dummy-data.sql.bz2 | mysql -uaur -paur AUR
+mysql -h $DB_HOST -u $DB_USER -p$DB_PASS $DB_NAME < $DATA_FILE
echo "done."
-exit
-